| DocBook: The Definitive Guide Version 2.0.7 (Alpha)

# imageobject

$Revision: 1.3 $

$Date: 2002/06/12 11:18:13 $

imageobject — A wrapper for image data and its associated meta-information

## Synopsis

### Content Model

    imageobject ::=
    (objectinfo?,imagedata)

### Attributes

Common attributes

## Description

An `ImageObject` is a wrapper containing `ImageData` and its associated meta-information.

If the SVG Module is used, `ImageObject` can also contain the `svg:svg` element.

### Processing expectations

May be formatted inline or as a displayed block, depending on context. It might not be rendered at all, depending on its placement within a `MediaObject` or `InlineMediaObject` and the constraints on the publishing system. For a more detailed description of the semantics involved, see `MediaObject`.

### Parents

These elements contain imageobject: `imageobjectco`, `inlinemediaobject`, `mediaobject`.

### Children

The following elements occur in imageobject: `imagedata`, `objectinfo`.

## See Also

`alt`, `audioobject`, `caption`, `graphic`, `inlinegraphic`, `inlinemediaobject`, `mediaobject`, `textobject`, `videoobject`.

## Examples

    <!DOCTYPE mediaobject PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <mediaobject>
      <imageobject>
        <imagedata fileref="figures/eiffeltower.eps" format="EPS"/>
      </imageobject>
      <imageobject>
        <imagedata fileref="figures/eiffeltower.png" format="PNG"/>
      </imageobject>
      <textobject>
        <phrase>The Eiffel Tower</phrase>
      </textobject>
      <caption>
       <para>Designed by Gustave Eiffel in 1889, The Eiffel Tower is one of the
    most widely recognized buildings in the world.
    </para>
      </caption>
    </mediaobject>

Designed by Gustave Eiffel in 1889, The Eiffel Tower is one of the most widely recognized buildings in the world.

For additional examples, see also `informalfigure`, `inlinemediaobject`, `mediaobjectco`, `svg-svg`, `videoobject`.

imagedata |  | imageobjectco

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.